def create_config(product_version,
                  homepage,
                  anuga_folder,
                  anuga_viewer_folder,
                  python,
                  numpy,
                  scientific_python,
                  netcdf,
                  mingw):
        """
        Short description:
        """
        
        file = open("config.nsh", "w")

        file.write("!ifndef __CONFIG_NSH\n")
        file.write("!define __CONFIG_NSH\n")
        file.write("; custom config\n")
        file.write("; definitions should be quite self-explaining\n")
        file.write("\n")
        file.write("; global definitions\n")
        file.write("!define ProductName \"ANUGA\"\n")
        file.write("!define ProductVersion \"" + product_version + "\"\n")
        file.write("!define Company \"Geoscience Australia\"\n")
        file.write("!define Website \"" + homepage + "\"\n")
        file.write("!define ExecutableName \"AnugaSetup.exe\"\n")
        file.write("\n")
        file.write("; distribution file sources (for compiling the installer)\n")
        file.write("!define WelcomeFinishBitmap \"wf.bmp\"\n")
        file.write("!define HeaderBitmap \"header.bmp\"\n")
        file.write("!define InstallerIcon \"installer.ico\"\n")
        file.write("!define FileSource \"files\"\n")
        file.write("\n")
        file.write("!define AnugaFolder \"" + anuga_folder + "\"\n")
        file.write("!define AnugaViewerFolder \"" + anuga_viewer_folder + "\"\n")
        file.write("!define PythonInst \"" + python + "\"\n")
        file.write("!define NumpyInst \"" + numpy + "\"\n")
        file.write("!define ScientificInst \"" + scientific_python + "\"\n")
        file.write("!define NetCDFFolder \"" + netcdf + "\"\n")
        file.write("!define MinGWInst \"" + mingw + "\"\n")
        file.write("\n")
        file.write("""; registry and advanced information for the installation routine
!define AnugaViewerDefaultFolder "$PROGRAMFILES\Anuga Viewer"
!define NetCDFDefaultFolder "$COMMONFILES\NetCDF"

!define ViewerExtension ".sww"
!define ViewerExtensionAlias "Anuga.Animation"

!define UninstallerRegistryKey "Software\Microsoft\Windows\CurrentVersion\Uninstall\${ProductName}"
!define UninstallerExecutableName "Uninst_Anuga.exe"

!endif""")

        file.close()


